> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# asana-portfolios

> Asana Portfolios — create, update, and manage portfolios, portfolio items, and memberships

**Server path:** `/asana-portfolios` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                                        | Description                            |
| --------------------------------------------------------------------------------------------------------------------------- | -------------------------------------- |
| [`asana_portfolios_add_custom_field_setting_for_portfolio`](#asana_portfolios_add_custom_field_setting_for_portfolio)       | Add a custom field to a portfolio      |
| [`asana_portfolios_add_item_for_portfolio`](#asana_portfolios_add_item_for_portfolio)                                       | Add a portfolio item                   |
| [`asana_portfolios_add_members_for_portfolio`](#asana_portfolios_add_members_for_portfolio)                                 | Add users to a portfolio               |
| [`asana_portfolios_create_portfolio`](#asana_portfolios_create_portfolio)                                                   | Create a portfolio                     |
| [`asana_portfolios_delete_portfolio`](#asana_portfolios_delete_portfolio)                                                   | Delete a portfolio                     |
| [`asana_portfolios_duplicate_portfolio`](#asana_portfolios_duplicate_portfolio)                                             | Duplicate a portfolio                  |
| [`asana_portfolios_get_items_for_portfolio`](#asana_portfolios_get_items_for_portfolio)                                     | Get portfolio items                    |
| [`asana_portfolios_get_portfolio`](#asana_portfolios_get_portfolio)                                                         | Get a portfolio                        |
| [`asana_portfolios_get_portfolio_membership`](#asana_portfolios_get_portfolio_membership)                                   | Get a portfolio membership             |
| [`asana_portfolios_get_portfolio_memberships`](#asana_portfolios_get_portfolio_memberships)                                 | Get multiple portfolio memberships     |
| [`asana_portfolios_get_portfolio_memberships_for_portfolio`](#asana_portfolios_get_portfolio_memberships_for_portfolio)     | Get memberships from a portfolio       |
| [`asana_portfolios_get_portfolios`](#asana_portfolios_get_portfolios)                                                       | Get multiple portfolios                |
| [`asana_portfolios_remove_custom_field_setting_for_portfolio`](#asana_portfolios_remove_custom_field_setting_for_portfolio) | Remove a custom field from a portfolio |
| [`asana_portfolios_remove_item_for_portfolio`](#asana_portfolios_remove_item_for_portfolio)                                 | Remove a portfolio item                |
| [`asana_portfolios_remove_members_for_portfolio`](#asana_portfolios_remove_members_for_portfolio)                           | Remove users from a portfolio          |
| [`asana_portfolios_update_portfolio`](#asana_portfolios_update_portfolio)                                                   | Update a portfolio                     |

***

## asana\_portfolios\_add\_custom\_field\_setting\_for\_portfolio

Add a custom field to a portfolio

**Parameters:**

| Parameter       | Type    | Required | Default | Description                                                                                                                                                                                                                                                                         |
| --------------- | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `portfolio_gid` | string  | Yes      | —       | Globally unique identifier for the portfolio.                                                                                                                                                                                                                                       |
| `opt_pretty`    | boolean | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `data`          | object  | No       | —       | The data value                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "portfolio_gid": {
        "type": "string",
        "description": "Globally unique identifier for the portfolio."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "data": {
        "type": "object",
        "description": "The data value",
        "properties": {
          "custom_field": {
            "description": "Custom Field"
          },
          "is_important": {
            "type": "boolean",
            "description": "Whether this field should be considered important to this container (for instance, to display in the list view of items in the container)."
          },
          "insert_before": {
            "type": "string",
            "description": "A gid of a Custom Field Setting on this container, before which the new Custom Field Setting will be added.  `insert_before` and `insert_after` parameters cannot both be specified."
          },
          "insert_after": {
            "type": "string",
            "description": "A gid of a Custom Field Setting on this container, after which the new Custom Field Setting will be added.  `insert_before` and `insert_after` parameters cannot both be specified."
          }
        },
        "required": [
          "custom_field"
        ]
      }
    },
    "required": [
      "PCID",
      "portfolio_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_portfolios\_add\_item\_for\_portfolio

Add a portfolio item

**Parameters:**

| Parameter       | Type    | Required | Default | Description                                                                                                                                                                                                                                                                         |
| --------------- | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `portfolio_gid` | string  | Yes      | —       | Globally unique identifier for the portfolio.                                                                                                                                                                                                                                       |
| `opt_pretty`    | boolean | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `data`          | object  | No       | —       | The data value                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "portfolio_gid": {
        "type": "string",
        "description": "Globally unique identifier for the portfolio."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "data": {
        "type": "object",
        "description": "The data value",
        "properties": {
          "item": {
            "type": "string",
            "description": "The item to add to the portfolio."
          },
          "insert_before": {
            "type": "string",
            "description": "An id of an item in this portfolio. The new item will be added before the one specified here. `insert_before` and `insert_after` parameters cannot both be specified."
          },
          "insert_after": {
            "type": "string",
            "description": "An id of an item in this portfolio. The new item will be added after the one specified here. `insert_before` and `insert_after` parameters cannot both be specified."
          }
        },
        "required": [
          "item"
        ]
      }
    },
    "required": [
      "PCID",
      "portfolio_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_portfolios\_add\_members\_for\_portfolio

Add users to a portfolio

**Parameters:**

| Parameter       | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| --------------- | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `portfolio_gid` | string    | Yes      | —       | Globally unique identifier for the portfolio.                                                                                                                                                                                                                                       |
| `opt_pretty`    | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields`    | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |
| `data`          | object    | No       | —       | The data value                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "portfolio_gid": {
        "type": "string",
        "description": "Globally unique identifier for the portfolio."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "archived",
            "color",
            "created_at",
            "created_by",
            "created_by.name",
            "current_status_update",
            "current_status_update.resource_subtype",
            "current_status_update.title",
            "custom_field_settings",
            "custom_field_settings.custom_field",
            "custom_field_settings.custom_field.asana_created_field",
            "custom_field_settings.custom_field.created_by",
            "custom_field_settings.custom_field.created_by.name",
            "custom_field_settings.custom_field.currency_code",
            "custom_field_settings.custom_field.custom_label",
            "custom_field_settings.custom_field.custom_label_position",
            "custom_field_settings.custom_field.date_value",
            "custom_field_settings.custom_field.date_value.date",
            "custom_field_settings.custom_field.date_value.date_time",
            "custom_field_settings.custom_field.default_access_level",
            "custom_field_settings.custom_field.description",
            "custom_field_settings.custom_field.display_value",
            "custom_field_settings.custom_field.enabled",
            "custom_field_settings.custom_field.enum_options",
            "custom_field_settings.custom_field.enum_options.color",
            "custom_field_settings.custom_field.enum_options.enabled",
            "custom_field_settings.custom_field.enum_options.name",
            "custom_field_settings.custom_field.enum_value",
            "custom_field_settings.custom_field.enum_value.color",
            "custom_field_settings.custom_field.enum_value.enabled",
            "custom_field_settings.custom_field.enum_value.name",
            "custom_field_settings.custom_field.format",
            "custom_field_settings.custom_field.has_notifications_enabled",
            "custom_field_settings.custom_field.id_prefix",
            "custom_field_settings.custom_field.input_restrictions",
            "custom_field_settings.custom_field.is_formula_field",
            "custom_field_settings.custom_field.is_global_to_workspace",
            "custom_field_settings.custom_field.is_value_read_only",
            "custom_field_settings.custom_field.multi_enum_values",
            "custom_field_settings.custom_field.multi_enum_values.color",
            "custom_field_settings.custom_field.multi_enum_values.enabled",
            "custom_field_settings.custom_field.multi_enum_values.name",
            "custom_field_settings.custom_field.name",
            "custom_field_settings.custom_field.number_value",
            "custom_field_settings.custom_field.people_value",
            "custom_field_settings.custom_field.people_value.name",
            "custom_field_settings.custom_field.precision",
            "custom_field_settings.custom_field.privacy_setting",
            "custom_field_settings.custom_field.reference_value",
            "custom_field_settings.custom_field.reference_value.name",
            "custom_field_settings.custom_field.representation_type",
            "custom_field_settings.custom_field.resource_subtype",
            "custom_field_settings.custom_field.text_value",
            "custom_field_settings.custom_field.type",
            "custom_field_settings.is_important",
            "custom_field_settings.parent",
            "custom_field_settings.parent.name",
            "custom_field_settings.project",
            "custom_field_settings.project.name",
            "custom_fields",
            "custom_fields.date_value",
            "custom_fields.date_value.date",
            "custom_fields.date_value.date_time",
            "custom_fields.display_value",
            "custom_fields.enabled",
            "custom_fields.enum_options",
            "custom_fields.enum_options.color",
            "custom_fields.enum_options.enabled",
            "custom_fields.enum_options.name",
            "custom_fields.enum_value",
            "custom_fields.enum_value.color",
            "custom_fields.enum_value.enabled",
            "custom_fields.enum_value.name",
            "custom_fields.id_prefix",
            "custom_fields.input_restrictions",
            "custom_fields.is_formula_field",
            "custom_fields.multi_enum_values",
            "custom_fields.multi_enum_values.color",
            "custom_fields.multi_enum_values.enabled",
            "custom_fields.multi_enum_values.name",
            "custom_fields.name",
            "custom_fields.number_value",
            "custom_fields.representation_type",
            "custom_fields.text_value",
            "custom_fields.type",
            "default_access_level",
            "due_on",
            "members",
            "members.name",
            "name",
            "owner",
            "owner.name",
            "permalink_url",
            "privacy_setting",
            "project_templates",
            "project_templates.name",
            "public",
            "start_on",
            "workspace",
            "workspace.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      },
      "data": {
        "type": "object",
        "description": "The data value",
        "properties": {
          "members": {
            "type": "string",
            "description": "An array of strings identifying users. These can either be the string \"me\", an email, or the gid of a user."
          }
        },
        "required": [
          "members"
        ]
      }
    },
    "required": [
      "PCID",
      "portfolio_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_portfolios\_create\_portfolio

Create a portfolio

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |
| `data`       | object    | No       | —       | The data value                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "archived",
            "color",
            "created_at",
            "created_by",
            "created_by.name",
            "current_status_update",
            "current_status_update.resource_subtype",
            "current_status_update.title",
            "custom_field_settings",
            "custom_field_settings.custom_field",
            "custom_field_settings.custom_field.asana_created_field",
            "custom_field_settings.custom_field.created_by",
            "custom_field_settings.custom_field.created_by.name",
            "custom_field_settings.custom_field.currency_code",
            "custom_field_settings.custom_field.custom_label",
            "custom_field_settings.custom_field.custom_label_position",
            "custom_field_settings.custom_field.date_value",
            "custom_field_settings.custom_field.date_value.date",
            "custom_field_settings.custom_field.date_value.date_time",
            "custom_field_settings.custom_field.default_access_level",
            "custom_field_settings.custom_field.description",
            "custom_field_settings.custom_field.display_value",
            "custom_field_settings.custom_field.enabled",
            "custom_field_settings.custom_field.enum_options",
            "custom_field_settings.custom_field.enum_options.color",
            "custom_field_settings.custom_field.enum_options.enabled",
            "custom_field_settings.custom_field.enum_options.name",
            "custom_field_settings.custom_field.enum_value",
            "custom_field_settings.custom_field.enum_value.color",
            "custom_field_settings.custom_field.enum_value.enabled",
            "custom_field_settings.custom_field.enum_value.name",
            "custom_field_settings.custom_field.format",
            "custom_field_settings.custom_field.has_notifications_enabled",
            "custom_field_settings.custom_field.id_prefix",
            "custom_field_settings.custom_field.input_restrictions",
            "custom_field_settings.custom_field.is_formula_field",
            "custom_field_settings.custom_field.is_global_to_workspace",
            "custom_field_settings.custom_field.is_value_read_only",
            "custom_field_settings.custom_field.multi_enum_values",
            "custom_field_settings.custom_field.multi_enum_values.color",
            "custom_field_settings.custom_field.multi_enum_values.enabled",
            "custom_field_settings.custom_field.multi_enum_values.name",
            "custom_field_settings.custom_field.name",
            "custom_field_settings.custom_field.number_value",
            "custom_field_settings.custom_field.people_value",
            "custom_field_settings.custom_field.people_value.name",
            "custom_field_settings.custom_field.precision",
            "custom_field_settings.custom_field.privacy_setting",
            "custom_field_settings.custom_field.reference_value",
            "custom_field_settings.custom_field.reference_value.name",
            "custom_field_settings.custom_field.representation_type",
            "custom_field_settings.custom_field.resource_subtype",
            "custom_field_settings.custom_field.text_value",
            "custom_field_settings.custom_field.type",
            "custom_field_settings.is_important",
            "custom_field_settings.parent",
            "custom_field_settings.parent.name",
            "custom_field_settings.project",
            "custom_field_settings.project.name",
            "custom_fields",
            "custom_fields.date_value",
            "custom_fields.date_value.date",
            "custom_fields.date_value.date_time",
            "custom_fields.display_value",
            "custom_fields.enabled",
            "custom_fields.enum_options",
            "custom_fields.enum_options.color",
            "custom_fields.enum_options.enabled",
            "custom_fields.enum_options.name",
            "custom_fields.enum_value",
            "custom_fields.enum_value.color",
            "custom_fields.enum_value.enabled",
            "custom_fields.enum_value.name",
            "custom_fields.id_prefix",
            "custom_fields.input_restrictions",
            "custom_fields.is_formula_field",
            "custom_fields.multi_enum_values",
            "custom_fields.multi_enum_values.color",
            "custom_fields.multi_enum_values.enabled",
            "custom_fields.multi_enum_values.name",
            "custom_fields.name",
            "custom_fields.number_value",
            "custom_fields.representation_type",
            "custom_fields.text_value",
            "custom_fields.type",
            "default_access_level",
            "due_on",
            "members",
            "members.name",
            "name",
            "owner",
            "owner.name",
            "permalink_url",
            "privacy_setting",
            "project_templates",
            "project_templates.name",
            "public",
            "start_on",
            "workspace",
            "workspace.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      },
      "data": {
        "description": "The data value"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## asana\_portfolios\_delete\_portfolio

Delete a portfolio

**Parameters:**

| Parameter       | Type    | Required | Default | Description                                                                                                                                                                                                                                                                         |
| --------------- | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `portfolio_gid` | string  | Yes      | —       | Globally unique identifier for the portfolio.                                                                                                                                                                                                                                       |
| `opt_pretty`    | boolean | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "portfolio_gid": {
        "type": "string",
        "description": "Globally unique identifier for the portfolio."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      }
    },
    "required": [
      "PCID",
      "portfolio_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_portfolios\_duplicate\_portfolio

Duplicate a portfolio

**Parameters:**

| Parameter       | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| --------------- | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `portfolio_gid` | string    | Yes      | —       | Globally unique identifier for the portfolio.                                                                                                                                                                                                                                       |
| `opt_pretty`    | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields`    | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |
| `data`          | object    | No       | —       | The data value                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "portfolio_gid": {
        "type": "string",
        "description": "Globally unique identifier for the portfolio."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "new_graph_export",
            "new_graph_export.completed_at",
            "new_graph_export.created_at",
            "new_graph_export.download_url",
            "new_portfolio",
            "new_portfolio.name",
            "new_project",
            "new_project.name",
            "new_project_template",
            "new_project_template.name",
            "new_resource_export",
            "new_resource_export.completed_at",
            "new_resource_export.created_at",
            "new_resource_export.download_url",
            "new_task",
            "new_task.created_by",
            "new_task.name",
            "new_task.resource_subtype",
            "resource_subtype",
            "status"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      },
      "data": {
        "type": "object",
        "description": "The data value",
        "properties": {
          "name": {
            "type": "string",
            "description": "The name of the new portfolio."
          },
          "include": {
            "type": "string",
            "description": "A comma-separated list of elements to include when duplicating a portfolio.  **Auto-included fields (non-configurable)** - Custom field settings - Views (tabs)  **Optional fields (configurable)** - description - members - permissions - templates - rules - child_projects - child_portfolios"
          }
        },
        "required": [
          "name"
        ]
      }
    },
    "required": [
      "PCID",
      "portfolio_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_portfolios\_get\_items\_for\_portfolio

Get portfolio items

**Parameters:**

| Parameter       | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                    |
| --------------- | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `portfolio_gid` | string    | Yes      | —       | Globally unique identifier for the portfolio.                                                                                                                                                                                                                                                                                                                  |
| `opt_pretty`    | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.                                                                            |
| `limit`         | integer   | No       | —       | Results per page. The number of objects to return per page. The value must be between 1 and 100.                                                                                                                                                                                                                                                               |
| `offset`        | string    | No       | —       | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.* |
| `opt_fields`    | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "portfolio_gid": {
        "type": "string",
        "description": "Globally unique identifier for the portfolio."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "limit": {
        "type": "integer",
        "description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
      },
      "offset": {
        "type": "string",
        "description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "archived",
            "color",
            "completed",
            "completed_at",
            "completed_by",
            "completed_by.name",
            "created_at",
            "created_from_template",
            "created_from_template.name",
            "current_status",
            "current_status.author",
            "current_status.author.name",
            "current_status.color",
            "current_status.created_at",
            "current_status.created_by",
            "current_status.created_by.name",
            "current_status.html_text",
            "current_status.modified_at",
            "current_status.text",
            "current_status.title",
            "current_status_update",
            "current_status_update.resource_subtype",
            "current_status_update.title",
            "custom_field_settings",
            "custom_field_settings.custom_field",
            "custom_field_settings.custom_field.asana_created_field",
            "custom_field_settings.custom_field.created_by",
            "custom_field_settings.custom_field.created_by.name",
            "custom_field_settings.custom_field.currency_code",
            "custom_field_settings.custom_field.custom_label",
            "custom_field_settings.custom_field.custom_label_position",
            "custom_field_settings.custom_field.date_value",
            "custom_field_settings.custom_field.date_value.date",
            "custom_field_settings.custom_field.date_value.date_time",
            "custom_field_settings.custom_field.default_access_level",
            "custom_field_settings.custom_field.description",
            "custom_field_settings.custom_field.display_value",
            "custom_field_settings.custom_field.enabled",
            "custom_field_settings.custom_field.enum_options",
            "custom_field_settings.custom_field.enum_options.color",
            "custom_field_settings.custom_field.enum_options.enabled",
            "custom_field_settings.custom_field.enum_options.name",
            "custom_field_settings.custom_field.enum_value",
            "custom_field_settings.custom_field.enum_value.color",
            "custom_field_settings.custom_field.enum_value.enabled",
            "custom_field_settings.custom_field.enum_value.name",
            "custom_field_settings.custom_field.format",
            "custom_field_settings.custom_field.has_notifications_enabled",
            "custom_field_settings.custom_field.id_prefix",
            "custom_field_settings.custom_field.input_restrictions",
            "custom_field_settings.custom_field.is_formula_field",
            "custom_field_settings.custom_field.is_global_to_workspace",
            "custom_field_settings.custom_field.is_value_read_only",
            "custom_field_settings.custom_field.multi_enum_values",
            "custom_field_settings.custom_field.multi_enum_values.color",
            "custom_field_settings.custom_field.multi_enum_values.enabled",
            "custom_field_settings.custom_field.multi_enum_values.name",
            "custom_field_settings.custom_field.name",
            "custom_field_settings.custom_field.number_value",
            "custom_field_settings.custom_field.people_value",
            "custom_field_settings.custom_field.people_value.name",
            "custom_field_settings.custom_field.precision",
            "custom_field_settings.custom_field.privacy_setting",
            "custom_field_settings.custom_field.reference_value",
            "custom_field_settings.custom_field.reference_value.name",
            "custom_field_settings.custom_field.representation_type",
            "custom_field_settings.custom_field.resource_subtype",
            "custom_field_settings.custom_field.text_value",
            "custom_field_settings.custom_field.type",
            "custom_field_settings.is_important",
            "custom_field_settings.parent",
            "custom_field_settings.parent.name",
            "custom_field_settings.project",
            "custom_field_settings.project.name",
            "custom_fields",
            "custom_fields.date_value",
            "custom_fields.date_value.date",
            "custom_fields.date_value.date_time",
            "custom_fields.display_value",
            "custom_fields.enabled",
            "custom_fields.enum_options",
            "custom_fields.enum_options.color",
            "custom_fields.enum_options.enabled",
            "custom_fields.enum_options.name",
            "custom_fields.enum_value",
            "custom_fields.enum_value.color",
            "custom_fields.enum_value.enabled",
            "custom_fields.enum_value.name",
            "custom_fields.id_prefix",
            "custom_fields.input_restrictions",
            "custom_fields.is_formula_field",
            "custom_fields.multi_enum_values",
            "custom_fields.multi_enum_values.color",
            "custom_fields.multi_enum_values.enabled",
            "custom_fields.multi_enum_values.name",
            "custom_fields.name",
            "custom_fields.number_value",
            "custom_fields.representation_type",
            "custom_fields.text_value",
            "custom_fields.type",
            "default_access_level",
            "default_view",
            "due_date",
            "due_on",
            "followers",
            "followers.name",
            "html_notes",
            "icon",
            "members",
            "members.name",
            "minimum_access_level_for_customization",
            "minimum_access_level_for_sharing",
            "modified_at",
            "name",
            "notes",
            "offset",
            "owner",
            "path",
            "permalink_url",
            "privacy_setting",
            "project_brief",
            "public",
            "start_on",
            "team",
            "team.name",
            "uri",
            "workspace",
            "workspace.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "portfolio_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_portfolios\_get\_portfolio

Get a portfolio

**Parameters:**

| Parameter       | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| --------------- | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `portfolio_gid` | string    | Yes      | —       | Globally unique identifier for the portfolio.                                                                                                                                                                                                                                       |
| `opt_pretty`    | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields`    | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "portfolio_gid": {
        "type": "string",
        "description": "Globally unique identifier for the portfolio."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "archived",
            "color",
            "created_at",
            "created_by",
            "created_by.name",
            "current_status_update",
            "current_status_update.resource_subtype",
            "current_status_update.title",
            "custom_field_settings",
            "custom_field_settings.custom_field",
            "custom_field_settings.custom_field.asana_created_field",
            "custom_field_settings.custom_field.created_by",
            "custom_field_settings.custom_field.created_by.name",
            "custom_field_settings.custom_field.currency_code",
            "custom_field_settings.custom_field.custom_label",
            "custom_field_settings.custom_field.custom_label_position",
            "custom_field_settings.custom_field.date_value",
            "custom_field_settings.custom_field.date_value.date",
            "custom_field_settings.custom_field.date_value.date_time",
            "custom_field_settings.custom_field.default_access_level",
            "custom_field_settings.custom_field.description",
            "custom_field_settings.custom_field.display_value",
            "custom_field_settings.custom_field.enabled",
            "custom_field_settings.custom_field.enum_options",
            "custom_field_settings.custom_field.enum_options.color",
            "custom_field_settings.custom_field.enum_options.enabled",
            "custom_field_settings.custom_field.enum_options.name",
            "custom_field_settings.custom_field.enum_value",
            "custom_field_settings.custom_field.enum_value.color",
            "custom_field_settings.custom_field.enum_value.enabled",
            "custom_field_settings.custom_field.enum_value.name",
            "custom_field_settings.custom_field.format",
            "custom_field_settings.custom_field.has_notifications_enabled",
            "custom_field_settings.custom_field.id_prefix",
            "custom_field_settings.custom_field.input_restrictions",
            "custom_field_settings.custom_field.is_formula_field",
            "custom_field_settings.custom_field.is_global_to_workspace",
            "custom_field_settings.custom_field.is_value_read_only",
            "custom_field_settings.custom_field.multi_enum_values",
            "custom_field_settings.custom_field.multi_enum_values.color",
            "custom_field_settings.custom_field.multi_enum_values.enabled",
            "custom_field_settings.custom_field.multi_enum_values.name",
            "custom_field_settings.custom_field.name",
            "custom_field_settings.custom_field.number_value",
            "custom_field_settings.custom_field.people_value",
            "custom_field_settings.custom_field.people_value.name",
            "custom_field_settings.custom_field.precision",
            "custom_field_settings.custom_field.privacy_setting",
            "custom_field_settings.custom_field.reference_value",
            "custom_field_settings.custom_field.reference_value.name",
            "custom_field_settings.custom_field.representation_type",
            "custom_field_settings.custom_field.resource_subtype",
            "custom_field_settings.custom_field.text_value",
            "custom_field_settings.custom_field.type",
            "custom_field_settings.is_important",
            "custom_field_settings.parent",
            "custom_field_settings.parent.name",
            "custom_field_settings.project",
            "custom_field_settings.project.name",
            "custom_fields",
            "custom_fields.date_value",
            "custom_fields.date_value.date",
            "custom_fields.date_value.date_time",
            "custom_fields.display_value",
            "custom_fields.enabled",
            "custom_fields.enum_options",
            "custom_fields.enum_options.color",
            "custom_fields.enum_options.enabled",
            "custom_fields.enum_options.name",
            "custom_fields.enum_value",
            "custom_fields.enum_value.color",
            "custom_fields.enum_value.enabled",
            "custom_fields.enum_value.name",
            "custom_fields.id_prefix",
            "custom_fields.input_restrictions",
            "custom_fields.is_formula_field",
            "custom_fields.multi_enum_values",
            "custom_fields.multi_enum_values.color",
            "custom_fields.multi_enum_values.enabled",
            "custom_fields.multi_enum_values.name",
            "custom_fields.name",
            "custom_fields.number_value",
            "custom_fields.representation_type",
            "custom_fields.text_value",
            "custom_fields.type",
            "default_access_level",
            "due_on",
            "members",
            "members.name",
            "name",
            "owner",
            "owner.name",
            "permalink_url",
            "privacy_setting",
            "project_templates",
            "project_templates.name",
            "public",
            "start_on",
            "workspace",
            "workspace.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "portfolio_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_portfolios\_get\_portfolio\_membership

Get a portfolio membership

**Parameters:**

| Parameter                  | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| -------------------------- | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `portfolio_membership_gid` | string    | Yes      | —       | Portfolio Membership Gid                                                                                                                                                                                                                                                            |
| `opt_pretty`               | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields`               | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "portfolio_membership_gid": {
        "type": "string",
        "description": "Portfolio Membership Gid"
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "access_level",
            "portfolio",
            "portfolio.name",
            "user",
            "user.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "portfolio_membership_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_portfolios\_get\_portfolio\_memberships

Get multiple portfolio memberships

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                    |
| ------------ | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `portfolio`  | string    | No       | —       | The portfolio to filter results on.                                                                                                                                                                                                                                                                                                                            |
| `workspace`  | string    | No       | —       | The workspace to filter results on.                                                                                                                                                                                                                                                                                                                            |
| `user`       | string    | No       | —       | A string identifying a user. This can either be the string "me", an email, or the gid of a user.                                                                                                                                                                                                                                                               |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.                                                                            |
| `limit`      | integer   | No       | —       | Results per page. The number of objects to return per page. The value must be between 1 and 100.                                                                                                                                                                                                                                                               |
| `offset`     | string    | No       | —       | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.* |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "portfolio": {
        "type": "string",
        "description": "The portfolio to filter results on."
      },
      "workspace": {
        "type": "string",
        "description": "The workspace to filter results on."
      },
      "user": {
        "type": "string",
        "description": "A string identifying a user. This can either be the string \"me\", an email, or the gid of a user."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "limit": {
        "type": "integer",
        "description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
      },
      "offset": {
        "type": "string",
        "description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "access_level",
            "offset",
            "path",
            "portfolio",
            "portfolio.name",
            "uri",
            "user",
            "user.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## asana\_portfolios\_get\_portfolio\_memberships\_for\_portfolio

Get memberships from a portfolio

**Parameters:**

| Parameter       | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                    |
| --------------- | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `portfolio_gid` | string    | Yes      | —       | Globally unique identifier for the portfolio.                                                                                                                                                                                                                                                                                                                  |
| `user`          | string    | No       | —       | A string identifying a user. This can either be the string "me", an email, or the gid of a user.                                                                                                                                                                                                                                                               |
| `opt_pretty`    | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.                                                                            |
| `limit`         | integer   | No       | —       | Results per page. The number of objects to return per page. The value must be between 1 and 100.                                                                                                                                                                                                                                                               |
| `offset`        | string    | No       | —       | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.* |
| `opt_fields`    | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "portfolio_gid": {
        "type": "string",
        "description": "Globally unique identifier for the portfolio."
      },
      "user": {
        "type": "string",
        "description": "A string identifying a user. This can either be the string \"me\", an email, or the gid of a user."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "limit": {
        "type": "integer",
        "description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
      },
      "offset": {
        "type": "string",
        "description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "access_level",
            "offset",
            "path",
            "portfolio",
            "portfolio.name",
            "uri",
            "user",
            "user.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "portfolio_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_portfolios\_get\_portfolios

Get multiple portfolios

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                    |
| ------------ | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.                                                                            |
| `limit`      | integer   | No       | —       | Results per page. The number of objects to return per page. The value must be between 1 and 100.                                                                                                                                                                                                                                                               |
| `offset`     | string    | No       | —       | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.* |
| `workspace`  | string    | Yes      | —       | The workspace or organization to filter portfolios on.                                                                                                                                                                                                                                                                                                         |
| `owner`      | string    | No       | —       | The user who owns the portfolio. Currently, API users can only get a list of portfolios that they themselves own, unless the request is made from a Service Account. In the case of a Service Account, if this parameter is specified, then all portfolios owned by this parameter are returned. Otherwise, all portfolios across the workspace are returned.  |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "limit": {
        "type": "integer",
        "description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
      },
      "offset": {
        "type": "string",
        "description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
      },
      "workspace": {
        "type": "string",
        "description": "The workspace or organization to filter portfolios on."
      },
      "owner": {
        "type": "string",
        "description": "The user who owns the portfolio. Currently, API users can only get a list of portfolios that they themselves own, unless the request is made from a Service Account. In the case of a Service Account, if this parameter is specified, then all portfolios owned by this parameter are returned. Otherwise, all portfolios across the workspace are returned."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "archived",
            "color",
            "created_at",
            "created_by",
            "created_by.name",
            "current_status_update",
            "current_status_update.resource_subtype",
            "current_status_update.title",
            "custom_field_settings",
            "custom_field_settings.custom_field",
            "custom_field_settings.custom_field.asana_created_field",
            "custom_field_settings.custom_field.created_by",
            "custom_field_settings.custom_field.created_by.name",
            "custom_field_settings.custom_field.currency_code",
            "custom_field_settings.custom_field.custom_label",
            "custom_field_settings.custom_field.custom_label_position",
            "custom_field_settings.custom_field.date_value",
            "custom_field_settings.custom_field.date_value.date",
            "custom_field_settings.custom_field.date_value.date_time",
            "custom_field_settings.custom_field.default_access_level",
            "custom_field_settings.custom_field.description",
            "custom_field_settings.custom_field.display_value",
            "custom_field_settings.custom_field.enabled",
            "custom_field_settings.custom_field.enum_options",
            "custom_field_settings.custom_field.enum_options.color",
            "custom_field_settings.custom_field.enum_options.enabled",
            "custom_field_settings.custom_field.enum_options.name",
            "custom_field_settings.custom_field.enum_value",
            "custom_field_settings.custom_field.enum_value.color",
            "custom_field_settings.custom_field.enum_value.enabled",
            "custom_field_settings.custom_field.enum_value.name",
            "custom_field_settings.custom_field.format",
            "custom_field_settings.custom_field.has_notifications_enabled",
            "custom_field_settings.custom_field.id_prefix",
            "custom_field_settings.custom_field.input_restrictions",
            "custom_field_settings.custom_field.is_formula_field",
            "custom_field_settings.custom_field.is_global_to_workspace",
            "custom_field_settings.custom_field.is_value_read_only",
            "custom_field_settings.custom_field.multi_enum_values",
            "custom_field_settings.custom_field.multi_enum_values.color",
            "custom_field_settings.custom_field.multi_enum_values.enabled",
            "custom_field_settings.custom_field.multi_enum_values.name",
            "custom_field_settings.custom_field.name",
            "custom_field_settings.custom_field.number_value",
            "custom_field_settings.custom_field.people_value",
            "custom_field_settings.custom_field.people_value.name",
            "custom_field_settings.custom_field.precision",
            "custom_field_settings.custom_field.privacy_setting",
            "custom_field_settings.custom_field.reference_value",
            "custom_field_settings.custom_field.reference_value.name",
            "custom_field_settings.custom_field.representation_type",
            "custom_field_settings.custom_field.resource_subtype",
            "custom_field_settings.custom_field.text_value",
            "custom_field_settings.custom_field.type",
            "custom_field_settings.is_important",
            "custom_field_settings.parent",
            "custom_field_settings.parent.name",
            "custom_field_settings.project",
            "custom_field_settings.project.name",
            "custom_fields",
            "custom_fields.date_value",
            "custom_fields.date_value.date",
            "custom_fields.date_value.date_time",
            "custom_fields.display_value",
            "custom_fields.enabled",
            "custom_fields.enum_options",
            "custom_fields.enum_options.color",
            "custom_fields.enum_options.enabled",
            "custom_fields.enum_options.name",
            "custom_fields.enum_value",
            "custom_fields.enum_value.color",
            "custom_fields.enum_value.enabled",
            "custom_fields.enum_value.name",
            "custom_fields.id_prefix",
            "custom_fields.input_restrictions",
            "custom_fields.is_formula_field",
            "custom_fields.multi_enum_values",
            "custom_fields.multi_enum_values.color",
            "custom_fields.multi_enum_values.enabled",
            "custom_fields.multi_enum_values.name",
            "custom_fields.name",
            "custom_fields.number_value",
            "custom_fields.representation_type",
            "custom_fields.text_value",
            "custom_fields.type",
            "default_access_level",
            "due_on",
            "members",
            "members.name",
            "name",
            "offset",
            "owner",
            "owner.name",
            "path",
            "permalink_url",
            "privacy_setting",
            "project_templates",
            "project_templates.name",
            "public",
            "start_on",
            "uri",
            "workspace",
            "workspace.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "workspace"
    ]
  }
  ```
</Expandable>

***

## asana\_portfolios\_remove\_custom\_field\_setting\_for\_portfolio

Remove a custom field from a portfolio

**Parameters:**

| Parameter       | Type    | Required | Default | Description                                                                                                                                                                                                                                                                         |
| --------------- | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `portfolio_gid` | string  | Yes      | —       | Globally unique identifier for the portfolio.                                                                                                                                                                                                                                       |
| `opt_pretty`    | boolean | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `data`          | object  | No       | —       | The data value                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "portfolio_gid": {
        "type": "string",
        "description": "Globally unique identifier for the portfolio."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "data": {
        "type": "object",
        "description": "The data value",
        "properties": {
          "custom_field": {
            "type": "string",
            "description": "The custom field to remove from this portfolio."
          }
        },
        "required": [
          "custom_field"
        ]
      }
    },
    "required": [
      "PCID",
      "portfolio_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_portfolios\_remove\_item\_for\_portfolio

Remove a portfolio item

**Parameters:**

| Parameter       | Type    | Required | Default | Description                                                                                                                                                                                                                                                                         |
| --------------- | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `portfolio_gid` | string  | Yes      | —       | Globally unique identifier for the portfolio.                                                                                                                                                                                                                                       |
| `opt_pretty`    | boolean | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `data`          | object  | No       | —       | The data value                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "portfolio_gid": {
        "type": "string",
        "description": "Globally unique identifier for the portfolio."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "data": {
        "type": "object",
        "description": "The data value",
        "properties": {
          "item": {
            "type": "string",
            "description": "The item to remove from the portfolio."
          }
        },
        "required": [
          "item"
        ]
      }
    },
    "required": [
      "PCID",
      "portfolio_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_portfolios\_remove\_members\_for\_portfolio

Remove users from a portfolio

**Parameters:**

| Parameter       | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| --------------- | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `portfolio_gid` | string    | Yes      | —       | Globally unique identifier for the portfolio.                                                                                                                                                                                                                                       |
| `opt_pretty`    | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields`    | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |
| `data`          | object    | No       | —       | The data value                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "portfolio_gid": {
        "type": "string",
        "description": "Globally unique identifier for the portfolio."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "archived",
            "color",
            "created_at",
            "created_by",
            "created_by.name",
            "current_status_update",
            "current_status_update.resource_subtype",
            "current_status_update.title",
            "custom_field_settings",
            "custom_field_settings.custom_field",
            "custom_field_settings.custom_field.asana_created_field",
            "custom_field_settings.custom_field.created_by",
            "custom_field_settings.custom_field.created_by.name",
            "custom_field_settings.custom_field.currency_code",
            "custom_field_settings.custom_field.custom_label",
            "custom_field_settings.custom_field.custom_label_position",
            "custom_field_settings.custom_field.date_value",
            "custom_field_settings.custom_field.date_value.date",
            "custom_field_settings.custom_field.date_value.date_time",
            "custom_field_settings.custom_field.default_access_level",
            "custom_field_settings.custom_field.description",
            "custom_field_settings.custom_field.display_value",
            "custom_field_settings.custom_field.enabled",
            "custom_field_settings.custom_field.enum_options",
            "custom_field_settings.custom_field.enum_options.color",
            "custom_field_settings.custom_field.enum_options.enabled",
            "custom_field_settings.custom_field.enum_options.name",
            "custom_field_settings.custom_field.enum_value",
            "custom_field_settings.custom_field.enum_value.color",
            "custom_field_settings.custom_field.enum_value.enabled",
            "custom_field_settings.custom_field.enum_value.name",
            "custom_field_settings.custom_field.format",
            "custom_field_settings.custom_field.has_notifications_enabled",
            "custom_field_settings.custom_field.id_prefix",
            "custom_field_settings.custom_field.input_restrictions",
            "custom_field_settings.custom_field.is_formula_field",
            "custom_field_settings.custom_field.is_global_to_workspace",
            "custom_field_settings.custom_field.is_value_read_only",
            "custom_field_settings.custom_field.multi_enum_values",
            "custom_field_settings.custom_field.multi_enum_values.color",
            "custom_field_settings.custom_field.multi_enum_values.enabled",
            "custom_field_settings.custom_field.multi_enum_values.name",
            "custom_field_settings.custom_field.name",
            "custom_field_settings.custom_field.number_value",
            "custom_field_settings.custom_field.people_value",
            "custom_field_settings.custom_field.people_value.name",
            "custom_field_settings.custom_field.precision",
            "custom_field_settings.custom_field.privacy_setting",
            "custom_field_settings.custom_field.reference_value",
            "custom_field_settings.custom_field.reference_value.name",
            "custom_field_settings.custom_field.representation_type",
            "custom_field_settings.custom_field.resource_subtype",
            "custom_field_settings.custom_field.text_value",
            "custom_field_settings.custom_field.type",
            "custom_field_settings.is_important",
            "custom_field_settings.parent",
            "custom_field_settings.parent.name",
            "custom_field_settings.project",
            "custom_field_settings.project.name",
            "custom_fields",
            "custom_fields.date_value",
            "custom_fields.date_value.date",
            "custom_fields.date_value.date_time",
            "custom_fields.display_value",
            "custom_fields.enabled",
            "custom_fields.enum_options",
            "custom_fields.enum_options.color",
            "custom_fields.enum_options.enabled",
            "custom_fields.enum_options.name",
            "custom_fields.enum_value",
            "custom_fields.enum_value.color",
            "custom_fields.enum_value.enabled",
            "custom_fields.enum_value.name",
            "custom_fields.id_prefix",
            "custom_fields.input_restrictions",
            "custom_fields.is_formula_field",
            "custom_fields.multi_enum_values",
            "custom_fields.multi_enum_values.color",
            "custom_fields.multi_enum_values.enabled",
            "custom_fields.multi_enum_values.name",
            "custom_fields.name",
            "custom_fields.number_value",
            "custom_fields.representation_type",
            "custom_fields.text_value",
            "custom_fields.type",
            "default_access_level",
            "due_on",
            "members",
            "members.name",
            "name",
            "owner",
            "owner.name",
            "permalink_url",
            "privacy_setting",
            "project_templates",
            "project_templates.name",
            "public",
            "start_on",
            "workspace",
            "workspace.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      },
      "data": {
        "type": "object",
        "description": "The data value",
        "properties": {
          "members": {
            "type": "string",
            "description": "An array of strings identifying users. These can either be the string \"me\", an email, or the gid of a user."
          }
        },
        "required": [
          "members"
        ]
      }
    },
    "required": [
      "PCID",
      "portfolio_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_portfolios\_update\_portfolio

Update a portfolio

**Parameters:**

| Parameter       | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| --------------- | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `portfolio_gid` | string    | Yes      | —       | Globally unique identifier for the portfolio.                                                                                                                                                                                                                                       |
| `opt_pretty`    | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields`    | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |
| `data`          | object    | No       | —       | The data value                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "portfolio_gid": {
        "type": "string",
        "description": "Globally unique identifier for the portfolio."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "archived",
            "color",
            "created_at",
            "created_by",
            "created_by.name",
            "current_status_update",
            "current_status_update.resource_subtype",
            "current_status_update.title",
            "custom_field_settings",
            "custom_field_settings.custom_field",
            "custom_field_settings.custom_field.asana_created_field",
            "custom_field_settings.custom_field.created_by",
            "custom_field_settings.custom_field.created_by.name",
            "custom_field_settings.custom_field.currency_code",
            "custom_field_settings.custom_field.custom_label",
            "custom_field_settings.custom_field.custom_label_position",
            "custom_field_settings.custom_field.date_value",
            "custom_field_settings.custom_field.date_value.date",
            "custom_field_settings.custom_field.date_value.date_time",
            "custom_field_settings.custom_field.default_access_level",
            "custom_field_settings.custom_field.description",
            "custom_field_settings.custom_field.display_value",
            "custom_field_settings.custom_field.enabled",
            "custom_field_settings.custom_field.enum_options",
            "custom_field_settings.custom_field.enum_options.color",
            "custom_field_settings.custom_field.enum_options.enabled",
            "custom_field_settings.custom_field.enum_options.name",
            "custom_field_settings.custom_field.enum_value",
            "custom_field_settings.custom_field.enum_value.color",
            "custom_field_settings.custom_field.enum_value.enabled",
            "custom_field_settings.custom_field.enum_value.name",
            "custom_field_settings.custom_field.format",
            "custom_field_settings.custom_field.has_notifications_enabled",
            "custom_field_settings.custom_field.id_prefix",
            "custom_field_settings.custom_field.input_restrictions",
            "custom_field_settings.custom_field.is_formula_field",
            "custom_field_settings.custom_field.is_global_to_workspace",
            "custom_field_settings.custom_field.is_value_read_only",
            "custom_field_settings.custom_field.multi_enum_values",
            "custom_field_settings.custom_field.multi_enum_values.color",
            "custom_field_settings.custom_field.multi_enum_values.enabled",
            "custom_field_settings.custom_field.multi_enum_values.name",
            "custom_field_settings.custom_field.name",
            "custom_field_settings.custom_field.number_value",
            "custom_field_settings.custom_field.people_value",
            "custom_field_settings.custom_field.people_value.name",
            "custom_field_settings.custom_field.precision",
            "custom_field_settings.custom_field.privacy_setting",
            "custom_field_settings.custom_field.reference_value",
            "custom_field_settings.custom_field.reference_value.name",
            "custom_field_settings.custom_field.representation_type",
            "custom_field_settings.custom_field.resource_subtype",
            "custom_field_settings.custom_field.text_value",
            "custom_field_settings.custom_field.type",
            "custom_field_settings.is_important",
            "custom_field_settings.parent",
            "custom_field_settings.parent.name",
            "custom_field_settings.project",
            "custom_field_settings.project.name",
            "custom_fields",
            "custom_fields.date_value",
            "custom_fields.date_value.date",
            "custom_fields.date_value.date_time",
            "custom_fields.display_value",
            "custom_fields.enabled",
            "custom_fields.enum_options",
            "custom_fields.enum_options.color",
            "custom_fields.enum_options.enabled",
            "custom_fields.enum_options.name",
            "custom_fields.enum_value",
            "custom_fields.enum_value.color",
            "custom_fields.enum_value.enabled",
            "custom_fields.enum_value.name",
            "custom_fields.id_prefix",
            "custom_fields.input_restrictions",
            "custom_fields.is_formula_field",
            "custom_fields.multi_enum_values",
            "custom_fields.multi_enum_values.color",
            "custom_fields.multi_enum_values.enabled",
            "custom_fields.multi_enum_values.name",
            "custom_fields.name",
            "custom_fields.number_value",
            "custom_fields.representation_type",
            "custom_fields.text_value",
            "custom_fields.type",
            "default_access_level",
            "due_on",
            "members",
            "members.name",
            "name",
            "owner",
[...]
